package com.njzscloud.common.core.ex;

import cn.hutool.core.util.StrUtil;

/**
 * 客户端异常, 表示客户端参错误
 */
public class CliException extends SysThrowable {
    /**
     * 创建异常
     *
     * @param cause   源异常
     * @param expect  期望响应值
     * @param msg     异常信息（简明）
     * @param message 异常信息（详细）
     */
    protected CliException(Throwable cause, Object expect, ExceptionMsg msg, Object message) {
        super(cause, expect, msg, message);
    }

    @Override
    public String getMessage() {
        return StrUtil.format("客户端错误, 错误码: {}, 错误信息: {}, 详细信息: {}", this.msg.code, this.msg.msg, this.message);
    }
}
